Community Note を削除する
curl --request DELETE \
--url https://api.x.com/2/notes/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/notes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/notes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"deleted": true
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}コミュニティノート
Community Note を削除する
コミュニティノートを削除します。
DELETE
/
2
/
notes
/
{id}
Community Note を削除する
承認
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
削除対象のコミュニティノートのid。 この Community Note の一意の識別子。
Pattern:
^[0-9]{1,19}$例:
"1146654567674912769"
レスポンス
リクエストは成功しました。
Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) で定義された HTTP Problem Details オブジェクト。
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
⌘I